#ifndef MAINWND_H
#define MAINWND_H

#include <QtCore>
#include <QtWidgets>

#include "ui_mainwnd.h"

//******************************************************************************

class YMainWnd: public QMainWindow, public Ui_MainWnd {
  using base=QMainWindow;
  Q_OBJECT

public:
  // Constructor
  YMainWnd();

  // Destructor
  virtual ~YMainWnd();

private:
  // Slot: Index of the current item in the combobox changed
  void onCurrentIndexChanged(
    int           iIndex);              // i  new index

  // Slot: Action "Test" triggered
  void onTest();

  // Variables
  int           UiDummy;
  QComboBox*    ComboBox;
  QStandardItemModel* Model;
};

//******************************************************************************

#endif
